export declare function shallowCopy(v: any): any;
export declare function parsePath(path: string): string[];
export declare function makePath(parts: string[]): string;
export declare function isAppend(key: string): boolean;
export declare function mapRecord<T, Q>(record: Record<string, T>, fn: (value: T, key: string) => Q): Record<string, Q>;
export declare function deepGet<T extends Record<string, any>>(value: T, path: string): any;
export declare function deepSet<T extends Record<string, any>>(value: T, path: string, x: any): T;
export declare function deepDelete<T extends Record<string, any>>(value: T, path: string): T;
export declare function whitelistKeys(obj: Record<string, any>, whitelist: string[]): Record<string, any>;
export declare function getAllKeys(obj: any, prefix?: string): string[];
