import { Format } from '../parsing/parsing';
interface InputSpec {
    path: string;
    format: Format;
}
interface Raw {
    raw: any;
}
export declare type Input = string | InputSpec | Raw;
export interface CobbleParams {
    inputs: Input[];
    varsObj?: Record<string, any>;
    debug?: (s: string) => void;
    disableReadFile?: boolean;
    ignoreMissingVariables?: boolean;
}
export declare function cobble<T>(params: CobbleParams): Promise<T>;
export {};
